

{% extends 'base.html' %}
{% block content %}

    {% load markdownify %}



    {% comment %} {% load markdownify %}
{% load resizer%} {% endcomment %}
    <main>
        <div>
            <h1> {{project.name}} </h1>
            {{ project.description|markdownify }}
            <h2> Tasks </h2>

            <li>
                <a href="{% url 'create_task' %}">Create a new task</a>
            </li>


            {% if  project.tasks.all|length == 0 %}


                <p>This project has no tasks</p>

            {%else%}

                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Assignee</th>
                            <th>Start date</th>
                            <th>Due date</th>
                            <th>Is completed</th>
                        </tr>
                    </thead>
                    <tbody>

                        {% for task in project.tasks.all %}
                            <tr>
                                <td>  {{task.name}} </td>

                                <td> {{task.assignee}} </td>
                                <td>  {{task.start_date}} </td>
                                <td> {{task.due_date}} </td>
                                <td>  {{task.is_completed}} </td>
                            </tr>


                        {% endfor %}

            {%endif%}

        </div>
    </main>
{% endblock content %}
